MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028960Open CASCADE[OCCT] OCCT:Codingpublic2017-07-29 19:592017-09-29 16:29
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.1.0 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0028960: Coding Rules - eliminate GCC compiler warning -Wfor-loop-analysis
DescriptionThe following compiler warning should be eliminated:
GCPnts_TangentialDeflection.pxx:585, GNU C Compiler 4 (gcc), Priority: Normal
variable 'i' is incremented both in the loop header and in the loop body [-Wfor-loop-analysis]
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0068907)
git (administrator)
2017-07-31 15:13

Branch CR28960 has been created by kgv.

SHA-1: 4ac5e1f0ef4e3f8e78db8bd4e6a13acaca757e07


Detailed log of new commits:

Author: kgv
Date: Mon Jul 31 15:13:28 2017 +0300

    0028960: Coding Rules - eliminate GCC compiler warning -Wfor-loop-analysis
(0068981)
kgv (developer)
2017-07-31 18:13

Please take the patch, testing is not needed.
(0068990)
bugmaster (administrator)
2017-07-31 22:06

Results of testing are available by link below :
http://jenkins-test-10.nnov.opencascade.com/view/CR28960-master-KGV/ [^]
(0069025)
mkv (tester)
2017-08-01 14:56

Dear BugMaster,
Branch CR28960 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 4ac5e1f0ef4e3f8e78db8bd4e6a13acaca757e07

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 7 (7 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total CPU difference: 19056.65000000033 / 19295.990000000293 [-1.24%]
Total MEMORY difference: 94032683 / 93536458 [+0.53%]
products component :
Total CPU difference: 7690.170000000078 / 7629.730000000066 [+0.79%]
Total MEMORY difference: 40842796 / 40215940 [+1.56%]
Testing on Windows:
occt component :
Total CPU difference: 17139.954670798554 / 17453.189078698673 [-1.79%]
Total MEMORY difference: 60216670 / 60209252 [+0.01%]
products component :
Total CPU difference: 7651.006644600049 / 7859.299179800065 [-2.65%]
Total MEMORY difference: 30830169 / 30887761 [-0.19%]

There are no differences in images found by testdiff.
(0069026)
mkv (tester)
2017-08-01 14:56

Dear BugMaster,
Branch CR28960 from occt git-repository is TESTED.
(0069644)
git (administrator)
2017-08-18 17:00

Branch CR28960 has been deleted by kgv.

SHA-1: 4ac5e1f0ef4e3f8e78db8bd4e6a13acaca757e07

- Related Changesets
occt: master c727abe0
Timestamp: 2017-07-31 12:13:28
Author: kgv
Committer: bugmaster
Details ] Diff ]
0028960: Coding Rules - eliminate GCC compiler warning -Wfor-loop-analysis
mod - src/GCPnts/GCPnts_TangentialDeflection.pxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-07-29 19:59 kgv New Issue
2017-07-29 19:59 kgv Assigned To => kgv
2017-07-31 15:13 git Note Added: 0068907
2017-07-31 18:13 kgv Note Added: 0068981
2017-07-31 18:13 kgv Assigned To kgv => bugmaster
2017-07-31 18:13 kgv Status new => resolved
2017-07-31 18:13 kgv Severity minor => trivial
2017-07-31 18:13 kgv Status resolved => reviewed
2017-07-31 22:06 bugmaster Note Added: 0068990
2017-07-31 22:06 bugmaster Assigned To bugmaster => mkv
2017-08-01 11:26 bugmaster Status reviewed => tested
2017-08-01 14:56 mkv Note Added: 0069025
2017-08-01 14:56 mkv Note Added: 0069026
2017-08-01 14:57 mkv Test case number => Not needed
2017-08-01 14:58 mkv Assigned To mkv => bugmaster
2017-08-03 17:31 bugmaster Changeset attached => occt master c727abe0
2017-08-03 17:31 bugmaster Status tested => verified
2017-08-03 17:31 bugmaster Resolution open => fixed
2017-08-18 17:00 git Note Added: 0069644
2017-09-29 16:17 user533 Fixed in Version => 7.2.0
2017-09-29 16:29 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker